/*
 * Copyright 2016 - 2022 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#include <nostalgia/core/core.hpp>
#include <nostalgia/core/input.hpp>

namespace nostalgia::core {

ox::Result<ox::UniquePtr<Context>> init(ox::UniquePtr<ox::FileSystem>, const char*) noexcept {
	return OxError(1);
}

void setUpdateHandler(Context*, UpdateHandler) noexcept {
}

uint64_t ticksMs(Context*) noexcept {
	return 0;
}

bool buttonDown(Context*, Key) noexcept {
	return false;
}

}
